# assign-deep [![NPM version](https://badge.fury.io/js/assign-deep.svg)](http://badge.fury.io/js/assign-deep)  [![Build Status](https://travis-ci.org/jonschlinkert/assign-deep.svg)](https://travis-ci.org/jonschlinkert/assign-deep)

> Deeply assign the enumerable properties and/or es6 Symbol properies of source objects to the target (first) object.

## Install

Install with [npm](https://www.npmjs.com/)

```sh
$ npm i assign-deep --save
```

## Usage

```js
var assign = require('assign-deep');

var one = {b: {c: {d: 'e'}}};
var two = {b: {c: {f: 'g', j: 'i'}}};
var three = {foo: 'bar'};

assign(one, two, three);
//=> {b: {c: {d: 'e', f: 'g', j: 'i'}}, foo: 'bar'}
```

## Similar projects

* [assign-symbols](https://www.npmjs.com/package/assign-symbols): Assign the enumerable es6 Symbol properties from an object (or objects) to the first object… [more](https://www.npmjs.com/package/assign-symbols) | [homepage](https://github.com/jonschlinkert/assign-symbols)
* [extend-shallow](https://www.npmjs.com/package/extend-shallow): Extend an object with the properties of additional objects. node.js/javascript util. | [homepage](https://github.com/jonschlinkert/extend-shallow)
* [merge-deep](https://www.npmjs.com/package/merge-deep): Recursively merge values in a javascript object. | [homepage](https://github.com/jonschlinkert/merge-deep)
* [mixin-deep](https://www.npmjs.com/package/mixin-deep): Deeply mix the properties of objects into the first object. Like merge-deep, but doesn't clone. | [homepage](https://github.com/jonschlinkert/mixin-deep)

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/assign-deep/issues/new).

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2015 Jon Schlinkert
Released under the MIT license.

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on November 06, 2015._